# eslint-config-docs

Eslint configuration for docs.mapbox.com sites. This configuration helps us catch incompatible features, enforce React proptypes, and more.

## Install

Add the package to your project:

```
npm install @mapbox/eslint-config-docs --save-dev
```

You'll also need to install the peer dependencies, one way to do that is to globally install `install-peerdeps` and then run it to automatically install all the peer dependencies required by this package:

```
npm install -g install-peerdeps
npx install-peerdeps --dev @mapbox/eslint-config-docs
```

Add this config name to `extends` in your eslint config. For docs sites, add it to `conf/eslint-config-browser.json`. Example:

```
"extends": ["./eslint-config-base.json", "@mapbox/eslint-config-docs"]
```
